﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace Datavalidation
{
    public partial class MainPage : UserControl
    {
        private Person inputPerson = new Person();

        public MainPage()
        {
            InitializeComponent();
        }

        private void UserControl_Loaded(object sender, RoutedEventArgs e)
        {
            inputPerson.Name = "Philipp";
            inputPerson.Age = 27;
            LayoutRoot.DataContext = inputPerson;
        }
    }

    public class Person
    {
        private string _name;
        public string Name
        {
            get { return _name; }
            set
            {
                if (value.StartsWith("A"))
                    throw new Exception("Der Name darf nicht mit A beginnen!");
                _name = value;
            }
        }

        private Int32 _age;
        public Int32 Age
        {
            get { return _age; }
            set { _age = value; }
        }
    }
}
